camel-nntp-newsrc
3
CAMEL Library

# camel-nntp-newsrc

## Synopsis

    typedef             CamelNNTPNewsrc;
    int                 camel_nntp_newsrc_get_highest_article_read
                                                            (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name);
    int                 camel_nntp_newsrc_get_num_articles_read
                                                            (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name);
    void                camel_nntp_newsrc_mark_article_read (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name,
                                                             int num);
    void                camel_nntp_newsrc_mark_range_read   (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name,
                                                             long low ,
                                                             long high );
    gboolean            camel_nntp_newsrc_article_is_read   (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name,
                                                             long num );
    gboolean            camel_nntp_newsrc_group_is_subscribed
                                                            (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name);
    void                camel_nntp_newsrc_subscribe_group   (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name);
    void                camel_nntp_newsrc_unsubscribe_group (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name);
    GPtrArray*          camel_nntp_newsrc_get_subscribed_group_names
                                                            (CamelNNTPNewsrc *newsrc);
    GPtrArray*          camel_nntp_newsrc_get_all_group_names
                                                            (CamelNNTPNewsrc *newsrc);
    void                camel_nntp_newsrc_free_group_names  (CamelNNTPNewsrc *newsrc,
                                                             GPtrArray *group_names);
    void                camel_nntp_newsrc_write_to_file     (CamelNNTPNewsrc *newsrc,
                                                             FILE *fp);
    void                camel_nntp_newsrc_write             (CamelNNTPNewsrc *newsrc);
    CamelNNTPNewsrc*    camel_nntp_newsrc_read_for_server   (const char *server);

## Description

## Details

### CamelNNTPNewsrc

    typedef struct CamelNNTPNewsrc CamelNNTPNewsrc;

### camel_nntp_newsrc_get_highest_article_read ()

    int                 camel_nntp_newsrc_get_highest_article_read
                                                            (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name);

`newsrc` :

`group_name` :

Returns :

### camel_nntp_newsrc_get_num_articles_read ()

    int                 camel_nntp_newsrc_get_num_articles_read
                                                            (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name);

`newsrc` :

`group_name` :

Returns :

### camel_nntp_newsrc_mark_article_read ()

    void                camel_nntp_newsrc_mark_article_read (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name,
                                                             int num);

`newsrc` :

`group_name` :

`num` :

### camel_nntp_newsrc_mark_range_read ()

    void                camel_nntp_newsrc_mark_range_read   (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name,
                                                             long low ,
                                                             long high );

`newsrc` :

`group_name` :

`Param3` :

`Param4` :

### camel_nntp_newsrc_article_is_read ()

    gboolean            camel_nntp_newsrc_article_is_read   (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name,
                                                             long num );

`newsrc` :

`group_name` :

`Param3` :

Returns :

### camel_nntp_newsrc_group_is_subscribed ()

    gboolean            camel_nntp_newsrc_group_is_subscribed
                                                            (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name);

`newsrc` :

`group_name` :

Returns :

### camel_nntp_newsrc_subscribe_group ()

    void                camel_nntp_newsrc_subscribe_group   (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name);

`newsrc` :

`group_name` :

### camel_nntp_newsrc_unsubscribe_group ()

    void                camel_nntp_newsrc_unsubscribe_group (CamelNNTPNewsrc *newsrc,
                                                             const char *group_name);

`newsrc` :

`group_name` :

### camel_nntp_newsrc_get_subscribed_group_names ()

    GPtrArray*          camel_nntp_newsrc_get_subscribed_group_names
                                                            (CamelNNTPNewsrc *newsrc);

`newsrc` :

Returns :

### camel_nntp_newsrc_get_all_group_names ()

    GPtrArray*          camel_nntp_newsrc_get_all_group_names
                                                            (CamelNNTPNewsrc *newsrc);

`newsrc` :

Returns :

### camel_nntp_newsrc_free_group_names ()

    void                camel_nntp_newsrc_free_group_names  (CamelNNTPNewsrc *newsrc,
                                                             GPtrArray *group_names);

`newsrc` :

`group_names` :

### camel_nntp_newsrc_write_to_file ()

    void                camel_nntp_newsrc_write_to_file     (CamelNNTPNewsrc *newsrc,
                                                             FILE *fp);

`newsrc` :

`fp` :

### camel_nntp_newsrc_write ()

    void                camel_nntp_newsrc_write             (CamelNNTPNewsrc *newsrc);

`newsrc` :

### camel_nntp_newsrc_read_for_server ()

    CamelNNTPNewsrc*    camel_nntp_newsrc_read_for_server   (const char *server);

`server` :

Returns :